// RegistrationDll.cpp : Defines the entry point for the DLL application.
//

//*********************************************************************
// INCLUDES
//*********************************************************************

#include "stdafx.h"

//*********************************************************************
// DEFINES
//*********************************************************************

#define DllExport   __declspec( dllexport ) 

const int MYAPP_EXPRESS = 1;
const int MYAPP_STANDARD = 2;
const int MYAPP_PROFESSIONAL = 3;
const int MYAPP_ENTERPRISE = 4;

//*********************************************************************
// MAIN
//*********************************************************************

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    return TRUE;
}

//*********************************************************************
// EXPORTED FUNCTIONS
//*********************************************************************

extern "C" __declspec( dllexport ) LPWSTR SelectUpdate()
{
	// Declare variables
	int iProductType = MYAPP_PROFESSIONAL; // Normally, this version can be retrieved from a settings file or registry key
	
	// Select right update file
	switch (iProductType)
	{
	case MYAPP_EXPRESS:
		return L"http://www.gvhsoftware.org/myapp/express_current.xml";
		
	case MYAPP_STANDARD:
		return L"http://www.gvhsoftware.org/myapp/standard_current.xml";
		
	case MYAPP_PROFESSIONAL:
		return L"http://www.gvhsoftware.org/myapp/professional_current.xml";
		
	case MYAPP_ENTERPRISE:
		return L"http://www.gvhsoftware.org/myapp/enterprise_current.xml";
	}
	
	// Return default (express)
	return L"http://www.gvhsoftware.org/myapp/express_current.xml";
}